```
BSM
│ 基础设施
├─bsm-infra 
│  ├─ ✔ gateway  API网关服务
|
| 注册服务组
├─bsm-registry 
│  └─ ✔ actions  CI/CD编译服务
|
| SDK包
├─bsm-sdk
│  ├─ ✔ engine   SDK核心库
│  └─skeleton 微服务样本框架
| 
| 基础微服务
├─bsm-service-base
│  ├─ ✔ initialize  基础配置微服务
│  ├─ ✔ fts         文件上传传输服务
│  ├─notify      消息推送微服务:短信，邮件，APNS...
│  ├─ ✔ ads         广告微服务
│  ├─ ✔ license     许可证授权微服务
│  ├─ ✔ feedback    意见反馈，工单微服务
│  └─cloud       个人云盘，云存储微服务
|
| 应用微服务
├─bsm-service-app
│  ├─ ✔ passport    用户通行证微服务
│  └─company     企业微服务
|
| 电商微服务
├─bsm-service-ec
│  ├─ ✔ address     地址库微服务
│  ├─ ✔ mall        店铺，商品微服务
│  └─ ✔ order       订单，采购微服务
|
| 内容微服务
├─bsm-service-ugc
│  ├─content     CMS内容微服务
│  ├─knowledge   知识内容(主题、图谱)类微服务
│  └─feed        流式内容(Twitter、微博)微服务
|
| 金融财务微服务
├─bsm-service-finance
│  ├─loan        贷款微服务
│  ├─bill        帐单微服务
│  └─wallet      钱包微服务
|
| 社交微服务
├─bsm-service-social
│  ├─follow      关注微服务
│  ├─group       群组、社群微服务
│  └─friend      好友关系微服务
|
| 即时通讯微服务
├─bsm-service-im
│  ├─session     Websocket连接管理微服务
│  ├─functions   消息内容处理微服务
│  └─client      客户端接入微服务
|
| 运营及系统管理服务
├─bsm-service-mgt
│  └─ ✔ operate     平台运营服务
│  └─system      系统管理服务
|
| 工具集
└─bsm-tools
   └─proto-merge Proto命令cli